=== debian/control ===
Source: ike
Section: net
Priority: extra
Maintainer: Christian Hofstaedtler <zeha@debian.org>
Build-Depends: debhelper (>= 9), flex, bison (>= 2.3), libqt4-dev, libssl-dev (>= 0.9), cmake (>= 2.4), dpkg-dev (>= 1.16.1.1), libedit-dev
Standards-Version: 3.9.6
Homepage: http://www.shrew.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/ike.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/ike.git/

Package: ike
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ike-qtgui, ipsec-tools
Provides: ike-server
Conflicts: ike-server
Replaces: ike-qtgui (<= 2.2)
Breaks: ike-qtgui (<= 2.2)
Description: Shrew Soft VPN client - Daemon and libraries
 The Shrew Soft VPN client is a free IPsec VPN Client for FreeBSD, NetBSD,
 Linux and Windows operating systems. This product can be used to communicate
 with Open Source VPN servers (e.g. ipsec-tools) as well as some commercial
 VPN servers.
 .
 This package provides a IKEv1 (ipsec key exchange) daemon and libraries used
 to maintain a IPSec VPN connection. It provides similar functionality as
 racoon, OpenSwan, FreeSwan, StrongSwan, IsaKmpD but is more user-interactive.
 .
 Note: You should install the ike-qtgui package to have a graphical
 user interface to configure and use VPN connections.

Package: ike-qtgui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ike (>= ${binary:Version})
Description: Shrew Soft VPN client - Connection manager
 The Shrew Soft VPN Client is a free IPsec VPN Client for FreeBSD, NetBSD,
 Linux and Windows operating systems. This product can be used to communicate
 with Open Source VPN servers (e.g. ipsec-tools) as well as some commercial
 VPN servers.
 .
 This package provides the connection manager program, which allows one
 to create, manage and use VPN connections.
