=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts=dversionmangle=s/\+dfsg$// \
 http://www.shrew.net/download/ike /download/ike/ike-(.*)-release.tgz
